import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCacheSubnetGroupInput } from "../types/DeleteCacheSubnetGroupInput";
import { DeleteCacheSubnetGroupOutput } from "../types/DeleteCacheSubnetGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DeleteCacheSubnetGroupInput";
export * from "../types/DeleteCacheSubnetGroupOutput";
export * from "../types/DeleteCacheSubnetGroupExceptionsUnion";
export declare class DeleteCacheSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCacheSubnetGroupInput, OutputTypesUnion, DeleteCacheSubnetGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DeleteCacheSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCacheSubnetGroupInput, DeleteCacheSubnetGroupOutput, Blob>;
    constructor(input: DeleteCacheSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DeleteCacheSubnetGroupInput, DeleteCacheSubnetGroupOutput>;
}
