import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReplicationGroupInput } from "../types/DeleteReplicationGroupInput";
import { DeleteReplicationGroupOutput } from "../types/DeleteReplicationGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DeleteReplicationGroupInput";
export * from "../types/DeleteReplicationGroupOutput";
export * from "../types/DeleteReplicationGroupExceptionsUnion";
export declare class DeleteReplicationGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReplicationGroupInput, OutputTypesUnion, DeleteReplicationGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DeleteReplicationGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReplicationGroupInput, DeleteReplicationGroupOutput, Blob>;
    constructor(input: DeleteReplicationGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DeleteReplicationGroupInput, DeleteReplicationGroupOutput>;
}
