import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyCacheParameterGroupInput } from "../types/ModifyCacheParameterGroupInput";
import { ModifyCacheParameterGroupOutput } from "../types/ModifyCacheParameterGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/ModifyCacheParameterGroupInput";
export * from "../types/ModifyCacheParameterGroupOutput";
export * from "../types/ModifyCacheParameterGroupExceptionsUnion";
export declare class ModifyCacheParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyCacheParameterGroupInput, OutputTypesUnion, ModifyCacheParameterGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: ModifyCacheParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyCacheParameterGroupInput, ModifyCacheParameterGroupOutput, Blob>;
    constructor(input: ModifyCacheParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<ModifyCacheParameterGroupInput, ModifyCacheParameterGroupOutput>;
}
