import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyReplicationGroupShardConfigurationInput } from "../types/ModifyReplicationGroupShardConfigurationInput";
import { ModifyReplicationGroupShardConfigurationOutput } from "../types/ModifyReplicationGroupShardConfigurationOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/ModifyReplicationGroupShardConfigurationInput";
export * from "../types/ModifyReplicationGroupShardConfigurationOutput";
export * from "../types/ModifyReplicationGroupShardConfigurationExceptionsUnion";
export declare class ModifyReplicationGroupShardConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyReplicationGroupShardConfigurationInput, OutputTypesUnion, ModifyReplicationGroupShardConfigurationOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: ModifyReplicationGroupShardConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyReplicationGroupShardConfigurationInput, ModifyReplicationGroupShardConfigurationOutput, Blob>;
    constructor(input: ModifyReplicationGroupShardConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<ModifyReplicationGroupShardConfigurationInput, ModifyReplicationGroupShardConfigurationOutput>;
}
