import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RevokeCacheSecurityGroupIngressInput } from "../types/RevokeCacheSecurityGroupIngressInput";
import { RevokeCacheSecurityGroupIngressOutput } from "../types/RevokeCacheSecurityGroupIngressOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/RevokeCacheSecurityGroupIngressInput";
export * from "../types/RevokeCacheSecurityGroupIngressOutput";
export * from "../types/RevokeCacheSecurityGroupIngressExceptionsUnion";
export declare class RevokeCacheSecurityGroupIngressCommand implements __aws_sdk_types.Command<InputTypesUnion, RevokeCacheSecurityGroupIngressInput, OutputTypesUnion, RevokeCacheSecurityGroupIngressOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: RevokeCacheSecurityGroupIngressInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RevokeCacheSecurityGroupIngressInput, RevokeCacheSecurityGroupIngressOutput, Blob>;
    constructor(input: RevokeCacheSecurityGroupIngressInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<RevokeCacheSecurityGroupIngressInput, RevokeCacheSecurityGroupIngressOutput>;
}
