"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCacheSubnetGroupInput_1 = require("../shapes/DeleteCacheSubnetGroupInput");
var DeleteCacheSubnetGroupOutput_1 = require("../shapes/DeleteCacheSubnetGroupOutput");
var CacheSubnetGroupInUse_1 = require("../shapes/CacheSubnetGroupInUse");
var CacheSubnetGroupNotFoundFault_1 = require("../shapes/CacheSubnetGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCacheSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCacheSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCacheSubnetGroupInput_1.DeleteCacheSubnetGroupInput
    },
    output: {
        shape: DeleteCacheSubnetGroupOutput_1.DeleteCacheSubnetGroupOutput
    },
    errors: [
        {
            shape: CacheSubnetGroupInUse_1.CacheSubnetGroupInUse
        },
        {
            shape: CacheSubnetGroupNotFoundFault_1.CacheSubnetGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteCacheSubnetGroup.js.map