"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeServiceUpdatesInput_1 = require("../shapes/DescribeServiceUpdatesInput");
var DescribeServiceUpdatesOutput_1 = require("../shapes/DescribeServiceUpdatesOutput");
var ServiceUpdateNotFoundFault_1 = require("../shapes/ServiceUpdateNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeServiceUpdates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeServiceUpdates",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeServiceUpdatesInput_1.DescribeServiceUpdatesInput
    },
    output: {
        shape: DescribeServiceUpdatesOutput_1.DescribeServiceUpdatesOutput,
        resultWrapper: "DescribeServiceUpdatesResult"
    },
    errors: [
        {
            shape: ServiceUpdateNotFoundFault_1.ServiceUpdateNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeServiceUpdates.js.map