"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsFromResourceInput_1 = require("../shapes/RemoveTagsFromResourceInput");
var RemoveTagsFromResourceOutput_1 = require("../shapes/RemoveTagsFromResourceOutput");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var SnapshotNotFoundFault_1 = require("../shapes/SnapshotNotFoundFault");
var InvalidARNFault_1 = require("../shapes/InvalidARNFault");
var TagNotFoundFault_1 = require("../shapes/TagNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromResourceInput_1.RemoveTagsFromResourceInput
    },
    output: {
        shape: RemoveTagsFromResourceOutput_1.RemoveTagsFromResourceOutput,
        resultWrapper: "RemoveTagsFromResourceResult"
    },
    errors: [
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: SnapshotNotFoundFault_1.SnapshotNotFoundFault
        },
        {
            shape: InvalidARNFault_1.InvalidARNFault
        },
        {
            shape: TagNotFoundFault_1.TagNotFoundFault
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromResource.js.map