"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReplicaConfigurationList_1 = require("./_ReplicaConfigurationList");
var _RemoveReplicasList_1 = require("./_RemoveReplicasList");
exports.DecreaseReplicaCountInput = {
    type: "structure",
    required: ["ReplicationGroupId", "ApplyImmediately"],
    members: {
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        NewReplicaCount: {
            shape: {
                type: "integer"
            }
        },
        ReplicaConfiguration: {
            shape: _ReplicaConfigurationList_1._ReplicaConfigurationList
        },
        ReplicasToRemove: {
            shape: _RemoveReplicasList_1._RemoveReplicasList
        },
        ApplyImmediately: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=DecreaseReplicaCountInput.js.map