"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CacheNodeIdsList_1 = require("./_CacheNodeIdsList");
var _PreferredAvailabilityZoneList_1 = require("./_PreferredAvailabilityZoneList");
var _CacheSecurityGroupNameList_1 = require("./_CacheSecurityGroupNameList");
var _SecurityGroupIdsList_1 = require("./_SecurityGroupIdsList");
exports.ModifyCacheClusterInput = {
    type: "structure",
    required: ["CacheClusterId"],
    members: {
        CacheClusterId: {
            shape: {
                type: "string"
            }
        },
        NumCacheNodes: {
            shape: {
                type: "integer"
            }
        },
        CacheNodeIdsToRemove: {
            shape: _CacheNodeIdsList_1._CacheNodeIdsList
        },
        AZMode: {
            shape: {
                type: "string"
            }
        },
        NewAvailabilityZones: {
            shape: _PreferredAvailabilityZoneList_1._PreferredAvailabilityZoneList
        },
        CacheSecurityGroupNames: {
            shape: _CacheSecurityGroupNameList_1._CacheSecurityGroupNameList
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIdsList_1._SecurityGroupIdsList
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        NotificationTopicArn: {
            shape: {
                type: "string"
            }
        },
        CacheParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        NotificationTopicStatus: {
            shape: {
                type: "string"
            }
        },
        ApplyImmediately: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        SnapshotRetentionLimit: {
            shape: {
                type: "integer"
            }
        },
        SnapshotWindow: {
            shape: {
                type: "string"
            }
        },
        CacheNodeType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ModifyCacheClusterInput.js.map