"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReplicationGroupPendingModifiedValues_1 = require("./_ReplicationGroupPendingModifiedValues");
var _ClusterIdList_1 = require("./_ClusterIdList");
var _NodeGroupList_1 = require("./_NodeGroupList");
var _Endpoint_1 = require("./_Endpoint");
exports._ReplicationGroup = {
    type: "structure",
    required: [],
    members: {
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        PendingModifiedValues: {
            shape: _ReplicationGroupPendingModifiedValues_1._ReplicationGroupPendingModifiedValues
        },
        MemberClusters: {
            shape: _ClusterIdList_1._ClusterIdList
        },
        NodeGroups: {
            shape: _NodeGroupList_1._NodeGroupList
        },
        SnapshottingClusterId: {
            shape: {
                type: "string"
            }
        },
        AutomaticFailover: {
            shape: {
                type: "string"
            }
        },
        ConfigurationEndpoint: {
            shape: _Endpoint_1._Endpoint
        },
        SnapshotRetentionLimit: {
            shape: {
                type: "integer"
            }
        },
        SnapshotWindow: {
            shape: {
                type: "string"
            }
        },
        ClusterEnabled: {
            shape: {
                type: "boolean"
            }
        },
        CacheNodeType: {
            shape: {
                type: "string"
            }
        },
        AuthTokenEnabled: {
            shape: {
                type: "boolean"
            }
        },
        TransitEncryptionEnabled: {
            shape: {
                type: "boolean"
            }
        },
        AtRestEncryptionEnabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_ReplicationGroup.js.map