"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchApplyUpdateAction_1 = require("../model/operations/BatchApplyUpdateAction");
var BatchApplyUpdateActionCommand = /** @class */ (function () {
    function BatchApplyUpdateActionCommand(input) {
        this.input = input;
        this.model = BatchApplyUpdateAction_1.BatchApplyUpdateAction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchApplyUpdateActionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchApplyUpdateActionCommand;
}());
exports.BatchApplyUpdateActionCommand = BatchApplyUpdateActionCommand;
//# sourceMappingURL=BatchApplyUpdateActionCommand.js.map