import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchStopUpdateActionInput } from "../types/BatchStopUpdateActionInput";
import { BatchStopUpdateActionOutput } from "../types/BatchStopUpdateActionOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/BatchStopUpdateActionInput";
export * from "../types/BatchStopUpdateActionOutput";
export * from "../types/BatchStopUpdateActionExceptionsUnion";
export declare class BatchStopUpdateActionCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchStopUpdateActionInput, OutputTypesUnion, BatchStopUpdateActionOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: BatchStopUpdateActionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchStopUpdateActionInput, BatchStopUpdateActionOutput, Blob>;
    constructor(input: BatchStopUpdateActionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<BatchStopUpdateActionInput, BatchStopUpdateActionOutput>;
}
