import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCacheParameterGroupsInput } from "../types/DescribeCacheParameterGroupsInput";
import { DescribeCacheParameterGroupsOutput } from "../types/DescribeCacheParameterGroupsOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeCacheParameterGroupsInput";
export * from "../types/DescribeCacheParameterGroupsOutput";
export * from "../types/DescribeCacheParameterGroupsExceptionsUnion";
export declare class DescribeCacheParameterGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCacheParameterGroupsInput, OutputTypesUnion, DescribeCacheParameterGroupsOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeCacheParameterGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCacheParameterGroupsInput, DescribeCacheParameterGroupsOutput, Blob>;
    constructor(input: DescribeCacheParameterGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeCacheParameterGroupsInput, DescribeCacheParameterGroupsOutput>;
}
