import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCacheParametersInput } from "../types/DescribeCacheParametersInput";
import { DescribeCacheParametersOutput } from "../types/DescribeCacheParametersOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeCacheParametersInput";
export * from "../types/DescribeCacheParametersOutput";
export * from "../types/DescribeCacheParametersExceptionsUnion";
export declare class DescribeCacheParametersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCacheParametersInput, OutputTypesUnion, DescribeCacheParametersOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeCacheParametersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCacheParametersInput, DescribeCacheParametersOutput, Blob>;
    constructor(input: DescribeCacheParametersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeCacheParametersInput, DescribeCacheParametersOutput>;
}
