"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchApplyUpdateActionInput_1 = require("../shapes/BatchApplyUpdateActionInput");
var BatchApplyUpdateActionOutput_1 = require("../shapes/BatchApplyUpdateActionOutput");
var ServiceUpdateNotFoundFault_1 = require("../shapes/ServiceUpdateNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchApplyUpdateAction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchApplyUpdateAction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchApplyUpdateActionInput_1.BatchApplyUpdateActionInput
    },
    output: {
        shape: BatchApplyUpdateActionOutput_1.BatchApplyUpdateActionOutput,
        resultWrapper: "BatchApplyUpdateActionResult"
    },
    errors: [
        {
            shape: ServiceUpdateNotFoundFault_1.ServiceUpdateNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=BatchApplyUpdateAction.js.map