"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCacheSecurityGroupsInput_1 = require("../shapes/DescribeCacheSecurityGroupsInput");
var DescribeCacheSecurityGroupsOutput_1 = require("../shapes/DescribeCacheSecurityGroupsOutput");
var CacheSecurityGroupNotFoundFault_1 = require("../shapes/CacheSecurityGroupNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCacheSecurityGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCacheSecurityGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCacheSecurityGroupsInput_1.DescribeCacheSecurityGroupsInput
    },
    output: {
        shape: DescribeCacheSecurityGroupsOutput_1.DescribeCacheSecurityGroupsOutput,
        resultWrapper: "DescribeCacheSecurityGroupsResult"
    },
    errors: [
        {
            shape: CacheSecurityGroupNotFoundFault_1.CacheSecurityGroupNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeCacheSecurityGroups.js.map