"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeUpdateActionsInput_1 = require("../shapes/DescribeUpdateActionsInput");
var DescribeUpdateActionsOutput_1 = require("../shapes/DescribeUpdateActionsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeUpdateActions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeUpdateActions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeUpdateActionsInput_1.DescribeUpdateActionsInput
    },
    output: {
        shape: DescribeUpdateActionsOutput_1.DescribeUpdateActionsOutput,
        resultWrapper: "DescribeUpdateActionsResult"
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeUpdateActions.js.map