"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Endpoint_1 = require("./_Endpoint");
var _NodeGroupMemberList_1 = require("./_NodeGroupMemberList");
exports._NodeGroup = {
    type: "structure",
    required: [],
    members: {
        NodeGroupId: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        PrimaryEndpoint: {
            shape: _Endpoint_1._Endpoint
        },
        ReaderEndpoint: {
            shape: _Endpoint_1._Endpoint
        },
        Slots: {
            shape: {
                type: "string"
            }
        },
        NodeGroupMembers: {
            shape: _NodeGroupMemberList_1._NodeGroupMemberList
        }
    }
};
//# sourceMappingURL=_NodeGroup.js.map